﻿
using Hotline.Share.Enums;
using System.ComponentModel;
using XF.Domain.Entities;

namespace Hotline.Settings
{
    [Description("数据权限分配")]
    public class SystemDataAuthority: CreationEntity
    {
        /// <summary>
        /// 角色ID
        /// </summary>
        public string RoleId { get; set; }

        /// <summary>
        /// 角色Code
        /// </summary>
        public string RoleCode { get; set; }

        /// <summary>
        /// 权限方式
        /// </summary>
        public EAuthorityType AuthorityType { get; set; }

        /// <summary>
        /// 功能点code
        /// </summary>
        public string PermissionCode { get; set; }


    }
}
